org.fourthline.cling.model.message.gena

## Class OutgoingSubscribeRequestMessage

- java.lang.Object
- - org.fourthline.cling.model.message.UpnpMessage<UpnpRequest>
  - - org.fourthline.cling.model.message.StreamRequestMessage
    - - org.fourthline.cling.model.message.gena.OutgoingSubscribeRequestMessage

-     public class OutgoingSubscribeRequestMessage
      extends StreamRequestMessage

  Author:
    Christian Bauer

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.model.message.UpnpMessage

      `UpnpMessage.BodyType`

  - ### Field Summary

    - ### Fields inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `connection`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OutgoingSubscribeRequestMessage(RemoteGENASubscription subscription, List<URL> callbackURLs, UpnpHeaders extraHeaders)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasCallbackURLs()`

    - ### Methods inherited from class org.fourthline.cling.model.message.StreamRequestMessage

      `getConnection, getUri, setConnection, setUri`

    - ### Methods inherited from class org.fourthline.cling.model.message.UpnpMessage

      `getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isBodyNonEmptyString, isContentTypeMissingOrText, isContentTypeText, isContentTypeTextUDA, setBody, setBody, setBodyCharacters, setBodyType, setHeaders, setUdaMajorVersion, setUdaMinorVersion, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OutgoingSubscribeRequestMessage

          public OutgoingSubscribeRequestMessage(RemoteGENASubscription subscription,
                                                 List<URL> callbackURLs,
                                                 UpnpHeaders extraHeaders)

  - ### Method Detail

    - #### hasCallbackURLs

          public boolean hasCallbackURLs()

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.